local mod_name = minetest.get_current_modname()
local mod_path = minetest.get_modpath(mod_name)
local S = minetest.get_translator(mod_name)


aom_igm = {}

aom_igm.menu_header_image = "blank.png"

-- menu system
dofile(mod_path .. "/menu.lua")

-- main menu formspec
dofile(mod_path .. "/main.lua")

-- hook into aom_settings
if minetest.get_modpath("aom_settings") then
    dofile(mod_path .. "/aom_settings_interface.lua")
end

-- add support to hook into the inventory screen
if minetest.get_modpath("aom_inventory") then
    dofile(mod_path .. "/aom_inventory_interface.lua")
    -- if running AoM, use the aom title image
    aom_igm.menu_header_image = "aom_title.png"
end
